# This file created by conda-build 3.18.11
# ------------------------------------------------

package:
    name: postgresql
    version: '12.2'
source:
    patches:
        - 0001-fix-win-zlib-name.patch
        - 0002-disable-new-dtags.patch
        - 0003-Parameterize-krb5-files-location-as-per-ARCH.patch
        - 0004-fix-windows-openssl-links-for-openssl-1.1.1.patch
    sha256: ad1dcc4c4fc500786b745635a9e1eba950195ce20b8913f50345bb7d5369b5de
    url: https://ftp.postgresql.org/pub/source/v12.2/postgresql-12.2.tar.bz2
build:
    number: 0
    run_exports:
        - libpq >=12.2,<13.0a0
    string: h20c2e04_0
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.33.1 he6710b0_7
        - binutils_linux-64 2.33.1 h9595d00_15
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_15
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - make 4.2.1 h1bed415_1
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2020.1.1 0
        - krb5 1.17.1 h173b8e3_0
        - libedit 3.1.20181209 hc058e9b_0
        - libgcc-ng 9.1.0 hdf63c60_0
        - libpq 12.2 h20c2e04_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1d h7b6447c_4
        - readline 8.0 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - krb5 >=1.17.1,<1.18.0a0
        - libgcc-ng >=7.3.0
        - libpq 12.2 h20c2e04_0
        - openssl >=1.1.1d,<1.1.2a
        - readline >=8.0,<9.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - postgres --help
        - conda inspect linkages postgresql
about:
    summary: PostgreSQL is a powerful, open source object-relational database system.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - gillins
        - mariusvniekerk
        - msarahan
        - ocefpaf
